package com.bpcl.lpg.core.pojo;

import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.bpcl.facades.response.data.BpclAppInfoData;

public class LpgPaymentResponseData extends BpclAppInfoData
{
    @JsonProperty("Partner_Trans_ID")
    private String partnerTransID;
    @JsonProperty("Dist_Ref_No")
    private String distRefNo;
    @JsonProperty("LPG_ID")
    private String lpgId;
    @JsonProperty("Dist_Code")
    private String distCode;
    @JsonProperty("BPCL_Unique_ID")
    private String bpclUniqueID;
    @JsonProperty("Order_No")
    private String orderNo;
    @JsonProperty("Book_Date")
    private String bookDate;
    @JsonProperty("Product_Code")
    private String productCode;
    @JsonProperty("Product_Name")
    private String productName;
    @JsonProperty("Product_Qty")
    private String productQty;
    @JsonProperty("Payment_Received_On")
    private String paymentReceivedOn;
    @JsonProperty("Order_Amount")
    private String orderAmount;
    @JsonProperty("API_Req_No")
    private String apiReqNo;
    @JsonProperty("Delivery_Completion_Date")
    private String deliveryCompletionDate;
    @JsonProperty("Current_Payable_Amount")
    private String current_Payable_Amount;
    @JsonProperty("Delivery_Status_Code")
    private String delivery_Status_Code;
    @JsonProperty("Refund_Status_Code")
    private String refund_Status_Code;
    @JsonProperty("Resp_Addl1")
    private String respAddl1;
    @JsonProperty("Resp_Addl2")
    private String respAddl2;
    @JsonProperty("Resp_Addl3")
    private String respAddl3;
    @JsonProperty("Status_Code")
    private String status_Code;
    @JsonProperty("Return_Msg")
    private String return_Msg;
    @JsonProperty("Partner_Code")
    private String partner_Code;
    @JsonProperty("Contact_Number")
    private String contact_Number;
    @JsonProperty("Consumer_Number")
    private String consumer_Number;
    @JsonProperty("Consumer_Name")
    private String consumer_Name;
    @JsonProperty("Consumer_Type")
    private String consumer_Type;
    private String merchantID;
    private String returnUrl;
    private String checksumSecretKey;
    private String transactionID;
    private String securityId;
    private String message;
    private Boolean completed;
    @JsonProperty("Product_Details")
    private ArrayList<LpgPaymentResponseBodyData> product_Details;
    
    public String getPartnerTransID() {
        return this.partnerTransID;
    }
    
    public void setPartnerTransID(final String partnerTransID) {
        this.partnerTransID = partnerTransID;
    }
    
    public String getDistRefNo() {
        return this.distRefNo;
    }
    
    public void setDistRefNo(final String distRefNo) {
        this.distRefNo = distRefNo;
    }
    
    public String getLpgId() {
        return this.lpgId;
    }
    
    public void setLpgId(final String lpgId) {
        this.lpgId = lpgId;
    }
    
    public String getDistCode() {
        return this.distCode;
    }
    
    public void setDistCode(final String distCode) {
        this.distCode = distCode;
    }
    
    public String getBpclUniqueID() {
        return this.bpclUniqueID;
    }
    
    public void setBpclUniqueID(final String bpclUniqueID) {
        this.bpclUniqueID = bpclUniqueID;
    }
    
    public String getOrderNo() {
        return this.orderNo;
    }
    
    public void setOrderNo(final String orderNo) {
        this.orderNo = orderNo;
    }
    
    public String getBookDate() {
        return this.bookDate;
    }
    
    public void setBookDate(final String bookDate) {
        this.bookDate = bookDate;
    }
    
    public String getProductCode() {
        return this.productCode;
    }
    
    public void setProductCode(final String productCode) {
        this.productCode = productCode;
    }
    
    public String getProductName() {
        return this.productName;
    }
    
    public void setProductName(final String productName) {
        this.productName = productName;
    }
    
    public String getProductQty() {
        return this.productQty;
    }
    
    public void setProductQty(final String productQty) {
        this.productQty = productQty;
    }
    
    public String getPaymentReceivedOn() {
        return this.paymentReceivedOn;
    }
    
    public void setPaymentReceivedOn(final String paymentReceivedOn) {
        this.paymentReceivedOn = paymentReceivedOn;
    }
    
    public String getOrderAmount() {
        return this.orderAmount;
    }
    
    public void setOrderAmount(final String orderAmount) {
        this.orderAmount = orderAmount;
    }
    
    public String getApiReqNo() {
        return this.apiReqNo;
    }
    
    public void setApiReqNo(final String apiReqNo) {
        this.apiReqNo = apiReqNo;
    }
    
    public String getDeliveryCompletionDate() {
        return this.deliveryCompletionDate;
    }
    
    public void setDeliveryCompletionDate(final String deliveryCompletionDate) {
        this.deliveryCompletionDate = deliveryCompletionDate;
    }
    
    public String getRespAddl1() {
        return this.respAddl1;
    }
    
    public void setRespAddl1(final String respAddl1) {
        this.respAddl1 = respAddl1;
    }
    
    public String getRespAddl2() {
        return this.respAddl2;
    }
    
    public void setRespAddl2(final String respAddl2) {
        this.respAddl2 = respAddl2;
    }
    
    public String getRespAddl3() {
        return this.respAddl3;
    }
    
    public void setRespAddl3(final String respAddl3) {
        this.respAddl3 = respAddl3;
    }
    
    public String getStatus_Code() {
        return this.status_Code;
    }
    
    public void setStatus_Code(final String status_Code) {
        this.status_Code = status_Code;
    }
    
    public String getReturn_Msg() {
        return this.return_Msg;
    }
    
    public void setReturn_Msg(final String return_Msg) {
        this.return_Msg = return_Msg;
    }
    
    public String getPartner_Code() {
        return this.partner_Code;
    }
    
    public void setPartner_Code(final String partner_Code) {
        this.partner_Code = partner_Code;
    }
    
    public String getContact_Number() {
        return this.contact_Number;
    }
    
    public void setContact_Number(final String contact_Number) {
        this.contact_Number = contact_Number;
    }
    
    public String getConsumer_Number() {
        return this.consumer_Number;
    }
    
    public void setConsumer_Number(final String consumer_Number) {
        this.consumer_Number = consumer_Number;
    }
    
    public String getConsumer_Name() {
        return this.consumer_Name;
    }
    
    public void setConsumer_Name(final String consumer_Name) {
        this.consumer_Name = consumer_Name;
    }
    
    public String getConsumer_Type() {
        return this.consumer_Type;
    }
    
    public void setConsumer_Type(final String consumer_Type) {
        this.consumer_Type = consumer_Type;
    }
    
    public ArrayList<LpgPaymentResponseBodyData> getProduct_Details() {
        return this.product_Details;
    }
    
    public void setProduct_Details(final ArrayList<LpgPaymentResponseBodyData> product_Details) {
        this.product_Details = product_Details;
    }
    
    public String getMerchantID() {
        return this.merchantID;
    }
    
    public void setMerchantID(final String merchantID) {
        this.merchantID = merchantID;
    }
    
    public String getReturnUrl() {
        return this.returnUrl;
    }
    
    public void setReturnUrl(final String returnUrl) {
        this.returnUrl = returnUrl;
    }
    
    public String getChecksumSecretKey() {
        return this.checksumSecretKey;
    }
    
    public void setChecksumSecretKey(final String checksumSecretKey) {
        this.checksumSecretKey = checksumSecretKey;
    }
    
    public String getTransactionID() {
        return this.transactionID;
    }
    
    public void setTransactionID(final String transactionID) {
        this.transactionID = transactionID;
    }
    
    public String getSecurityId() {
        return this.securityId;
    }
    
    public void setSecurityId(final String securityId) {
        this.securityId = securityId;
    }
    
    public String getCurrent_Payable_Amount() {
        return this.current_Payable_Amount;
    }
    
    public void setCurrent_Payable_Amount(final String current_Payable_Amount) {
        this.current_Payable_Amount = current_Payable_Amount;
    }
    
    public String getDelivery_Status_Code() {
        return this.delivery_Status_Code;
    }
    
    public void setDelivery_Status_Code(final String delivery_Status_Code) {
        this.delivery_Status_Code = delivery_Status_Code;
    }
    
    public String getRefund_Status_Code() {
        return this.refund_Status_Code;
    }
    
    public void setRefund_Status_Code(final String refund_Status_Code) {
        this.refund_Status_Code = refund_Status_Code;
    }
    
    public String getMessage() {
        return this.message;
    }
    
    public void setMessage(final String message) {
        this.message = message;
    }
    
    public Boolean getCompleted() {
        return this.completed;
    }
    
    public void setCompleted(final Boolean completed) {
        this.completed = completed;
    }
    
    public String toString() {
        return "LpgPaymentResponseData{partnerTransID='" + this.partnerTransID + "', distRefNo='" + this.distRefNo + "', lpgId='" + this.lpgId + "', distCode='" + this.distCode + "', bpclUniqueID='" + this.bpclUniqueID + "', orderNo='" + this.orderNo + "', bookDate='" + this.bookDate + "', productCode='" + this.productCode + "', productName='" + this.productName + "', productQty='" + this.productQty + "', paymentReceivedOn='" + this.paymentReceivedOn + "', orderAmount='" + this.orderAmount + "', apiReqNo='" + this.apiReqNo + "', deliveryCompletionDate='" + this.deliveryCompletionDate + "', current_Payable_Amount='" + this.current_Payable_Amount + "', delivery_Status_Code='" + this.delivery_Status_Code + "', refund_Status_Code='" + this.refund_Status_Code + "', respAddl1='" + this.respAddl1 + "', respAddl2='" + this.respAddl2 + "', respAddl3='" + this.respAddl3 + "', status_Code='" + this.status_Code + "', return_Msg='" + this.return_Msg + "', partner_Code='" + this.partner_Code + "', contact_Number='" + this.contact_Number + "', consumer_Number='" + this.consumer_Number + "', consumer_Name='" + this.consumer_Name + "', consumer_Type='" + this.consumer_Type + "', merchantID='" + this.merchantID + "', returnUrl='" + this.returnUrl + "', checksumSecretKey='" + this.checksumSecretKey + "', transactionID='" + this.transactionID + "', securityId='" + this.securityId + "', product_Details=" + this.product_Details + ", message='" + this.message + "', completed=" + this.completed;
    }
}
